#pragma once

#include "GobiApiService.h"

class CFuncList;

class CGobiApiRms : public CGobiApiService
{
public:
	CGobiApiRms(HMODULE hQCDll);
	~CGobiApiRms(void);

	BOOL GetAvailFuncList(CFuncList* pFuncList);
	UINT ExecuteFunctions(CFuncList* pFuncList, UINT &nTotalExec);

protected:
	static const TableFuncEntry m_TableFunc[];

	static BOOL FuncGetSMSWake(CParamList* pParams = NULL);
	static BOOL FuncSetSMSWake(CParamList* pParams = NULL);

	static CParamList CGobiApiRms::m_sSetSMSWake;
};
